Yum update broke cacti installation

Issues related to applications and software problems
Post Reply
milesdyson
Posts: 1
Joined: 2018/05/09 08:05:57

Yum update broke cacti installation

Post by milesdyson » 2018/05/09 08:41:50

I ran a yum update on Centos 6 ill advisedly and now it has broken my cacti installation. I have tried to run yum history rollback 13 but it gives me an error that it has failed to download packages. Is there a way to manually downgrade cacti from version 1.1.19 to version 0.8.8?

lightman47
Posts: 646
Joined: 2014/05/21 20:16:00
Location: Central New York, USA

Re: Yum update broke cacti installation

Post by lightman47 » 2018/05/09 12:27:57

For what it's worth - Cacti for me has recently been updating itself fairly frequently. I expect any roll-back of the program would only result in it updating itself back.

While I use C7 I've not had Cacti 'break' due to yum update - which is scheduled weekly. When prompted for the cacti update I just go through it each time answering the prompts (usually a [Next] button) and all is well.
"Please solve your problems in advance so we can help you more"
- unknown

User avatar
TrevorH
Forum Moderator
Posts: 22799
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Yum update broke cacti installation

Post by TrevorH » 2018/05/10 01:28:02

The cacti package comes from EPEL so it's not a CentOS package. I believe they do archive their old packages but 0.8.8 is quite old and the EPEL copy of cacti is updated frequently. You appear to have stayed on 0.8.8 while lots of different versions passed you by.

What has broken? Maybe it's easier to fix it.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

aflat
Posts: 1
Joined: 2018/05/11 17:03:17

Re: Yum update broke cacti installation

Post by aflat » 2018/05/11 17:05:39

It may be due to epel repodata being corrupt. epel 7 had an issue, and I think 6 has the same issue

https://www.centos.org/forums/viewtopic ... 48&t=66998

A "yum list mingw32-gcc" only shows the devel package, even though I can see the other package in the repo dir, it's not in the metadata.

Post Reply